import request from '@/utils/request'

// 查询行政区划列表
export function listAreaCode(query) {
  return request({
    url: '/xq/areaCode/list',
    method: 'get',
    params: query
  })
}

// 查询行政区划详细
export function getAreaCode(code) {
  return request({
    url: '/xq/areaCode/' + code,
    method: 'get'
  })
}

// 查询行政区划详细
export function getTreeAreaCode() {
  return request({
    url: '/xq/areaCode/tree',
    method: 'get'
  })
}


// 新增行政区划
export function addAreaCode(data) {
  return request({
    url: '/xq/areaCode',
    method: 'post',
    data: data
  })
}

// 修改行政区划
export function updateAreaCode(data) {
  return request({
    url: '/xq/areaCode',
    method: 'put',
    data: data
  })
}

// 删除行政区划
export function delAreaCode(code) {
  return request({
    url: '/xq/areaCode/' + code,
    method: 'delete'
  })
}
